Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fDateTimeArray

    java.lang.Object
      jet.connect.DbValue
          jet.formula.fArray
              jet.formula.fDateTimeArray

All Implemented Interfaces:
  jet.util.DbValueable, jet.util.QuickSortableNode

    public class fDateTimeArray

extends fArray

The internal representative of the number array data type of the JetReport Formula.

Field Summary

Fields inherited from class jet.formula.fArray
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Fields inherited from interface jet.util.DbValueable
`EQUAL, GREATER, LESS`

Constructor Summary
`fDateTimeArray()`
`fDateTimeArray(int arraysize)`
`fDateTimeArray(int arraysize, boolean b)`

Method Summary
`java.lang.Object` | `clone()` The content of `value` attribute is copied through `System.arraycopy(Object, int, Object, int, int)`.

Methods inherited from class jet.formula.fArray
`compareTo, equals, getArray, getArray, getInstance, isAll, set, set, set, setIsAll, setValue, toString, toStringValue`

Methods inherited from class jet.connect.DbValue
`compareTo, compareTo, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### fDateTimeArray

    public fDateTimeArray()

### fDateTimeArray

    public fDateTimeArray(int arraysize)

### fDateTimeArray

    public fDateTimeArray(int arraysize,
                          boolean b)

Method Detail

### clone

    public java.lang.Object clone()

  The content of `value` attribute is copied through `System.arraycopy(Object, int, Object, int, int)`. If there is any exception thrown during the clone, an object created by calling the default constructor will be returned.

  Specified by:
    `clone` in interface `jet.util.DbValueable`
  Specified by:
    `clone` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD